---
title: "Update branch details - Xata"
description: "Updates the configuration of a specific branch by its ID, such as changing its name, description, or resource allocation."
source: "https://xata.io/docs/api-reference/branches/update-branch-details"
---

Skip to main content

PATCH

/

organizations

/

{organizationID}

/

projects

/

{projectID}

/

branches

/

{branchID}

Update branch details

```
curl --request PATCH
  --url https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}
  --header 'Authorization: Bearer <token>'
  --header 'Content-Type: application/json'
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "replicas": 2,
  "storage": 123,
  "instanceType": "<string>",
  "backupConfiguration": {
    "retentionPeriod": 2,
    "backupTime": "<string>"
  },
  "hibernate": true,
  "postgresConfigurationParameters": {},
  "preloadLibraries": [
    "<string>"
  ],
  "image": "<string>"
}
'
```

```
import requests

url = "https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}"

payload = {
    "name": "<string>",
    "description": "<string>",
    "replicas": 2,
    "storage": 123,
    "instanceType": "<string>",
    "backupConfiguration": {
        "retentionPeriod": 2,
        "backupTime": "<string>"
    },
    "hibernate": True,
    "postgresConfigurationParameters": {},
    "preloadLibraries": ["<string>"],
    "image": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    description: '<string>',
    replicas: 2,
    storage: 123,
    instanceType: '<string>',
    backupConfiguration: {retentionPeriod: 2, backupTime: '<string>'},
    hibernate: true,
    postgresConfigurationParameters: {},
    preloadLibraries: ['<string>'],
    image: '<string>'
  })
};

fetch('https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

```
{
  "id": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "region": "<string>",
  "publicAccess": true,
  "description": "<string>",
  "parentID": "<string>",
  "connectionString": "<string>"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

#### Authorizations

​

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Path Parameters

​

organizationID

string

required

Unique identifier of the organization containing the project

Pattern: `[a-zA-Z0-9_-~:]+`

​

projectID

string

required

Unique identifier of the project containing the branch

​

branchID

string

required

Unique identifier of the branch to update

#### Body

application/json

Details that can be updated for an existing branch

​

name

string

New name for the branch

​

description

string

New description for the branch (max 50 characters)

Pattern: `^[a-zA-Z0-9]+[a-zA-Z0-9- ]*$`

​

replicas

integer\<int32>

Number of database replicas to scale to

Required range: `0 <= x <= 4`

​

storage

integer\<int32>

Branch storage in GiB (gigabytes)

Required range: `x <= 250`

​

instanceType

string

New instance type for the branch

​

backupConfiguration

object

Details about the branch continuous backup configuration

Show child attributes

​

hibernate

boolean

Enabled when the branch should be hibernated, disabled if it needs to be reactivated.

​

scaleToZero

object

Configuration for scaling branches to zero when not in use

Show child attributes

​

postgresConfigurationParameters

object

Arbitrary PostgreSQL configuration parameters for the cluster

Show child attributes

​

preloadLibraries

string\[]

List of PostgreSQL extensions and libraries to preload

​

image

string

PostgreSQL image to use for the database instances

#### Response

Branch successfully updated

Basic metadata about a branch, used in response to create/update operations

​

id

string

required

Unique identifier for the branch

​

name

string

required

Human-readable name of the branch

​

createdAt

string\<date-time>

required

Timestamp when the branch was created

​

updatedAt

string\<date-time>

required

Timestamp when the branch was last updated

​

region

string

required

Geographic region where the branch is deployed

​

publicAccess

boolean

required

Whether the branch allows public access without authentication

​

description

string

Optional description of the branch purpose or contents

​

parentID

string | null

Identifier of the parent branch if this is a derived branch, null otherwise

​

connectionString

string | null

Database connection string for accessing this branch

Was this page helpful?

[Previous](/docs/api-reference/branches/delete-a-branch)

[Retrieve branch credentials](/docs/api-reference/branches/retrieve-branch-credentials)

[Next](/docs/api-reference/branches/retrieve-branch-credentials)
